BindAddress (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.BindAddress interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface BindAddress

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  CustomBindAddress

    public interface BindAddress

extends LogicalElement

A IP/Port combo

Naming Rules:
  0="primaryIpAddress,ipAddress,portNumber,path"
Persistable:
  true
Table Name:
  BINDADDR
Display Name:
  portNumber

Field Summary
`static int` | `TCP_PORT`
`static int` | `UDP_PORT`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`IpAddress` | `getIpAddress()`
`java.lang.String` | `getPath()`
`int` | `getPortNumber()`
`IpAddress` | `getPrimaryIpAddress()`
`int` | `getType()`
`boolean` | `hasIpAddress()`
`boolean` | `hasPath()`
`boolean` | `hasPortNumber()`
`boolean` | `hasPrimaryIpAddress()`
`boolean` | `hasType()`
`void` | `setIpAddress(IpAddress ip)`
`void` | `setPath(java.lang.String path)`
`void` | `setPortNumber(int portNumber)`
`void` | `setPrimaryIpAddress(IpAddress ip)`
`void` | `setType(int type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### TCP_PORT

    static final int TCP_PORT

See Also:
  Constant Field Values

### UDP_PORT

    static final int UDP_PORT

See Also:
  Constant Field Values

Method Detail

### getIpAddress

    IpAddress getIpAddress()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setIpAddress

    void setIpAddress(IpAddress ip)

### hasIpAddress

    boolean hasIpAddress()

### getPortNumber

    int getPortNumber()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPortNumber

    void setPortNumber(int portNumber)

### hasPortNumber

    boolean hasPortNumber()

### getType

    int getType()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int type)

### hasType

    boolean hasType()

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPath

    void setPath(java.lang.String path)

### hasPath

    boolean hasPath()

### getPrimaryIpAddress

    IpAddress getPrimaryIpAddress()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsAsPrimary" reverse="false"

### setPrimaryIpAddress

    void setPrimaryIpAddress(IpAddress ip)

### hasPrimaryIpAddress

    boolean hasPrimaryIpAddress()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD